# std::filesystem::file_status

From cppreference.com
< cpp‎ | filesystem

Defined in header `<filesystem>` |  |
class file_status; |  | (since C++17)

Stores information about the type and permissions of a file.

### Member functions

(constructor) | constructs a `file_status` object (public member function)
operator= | assigns contents (public member function)
(destructor) | implicit destructor (public member function)
type | gets or sets the type of the file (public member function)
permissions | gets or sets the permissions of the file (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/file_status&oldid=84847"